NXWidgets: NXWidgets::CWindowEventHandler Class Reference

NXWidgets 1.19

Public Member Functions | List of all members
NXWidgets::CWindowEventHandler Class Reference

`#include <cwindoweventhandler.hxx>`

Inheritance diagram for NXWidgets::CWindowEventHandler:

## Public Member Functions
| CWindowEventHandler ()
virtual | ~CWindowEventHandler ()
virtual void | handleRedrawEvent (void)
virtual void | handleGeometryEvent (void)
virtual void | handleMouseEvent (void)
virtual void | handleKeyboardEvent (void)
virtual void | handleBlockedEvent (FAR void *arg)

## Detailed Description

Base CWindowEventHandler class, intended to be subclassed. Any class that needs to listen for window events should inherit from this class.

Definition at line 64 of file cwindoweventhandler.hxx.

## Constructor & Destructor Documentation

## ◆ CWindowEventHandler()

NXWidgets::CWindowEventHandler::CWindowEventHandler | ( |  | ) |
| inline

Constructor.

Definition at line 71 of file cwindoweventhandler.hxx.

## ◆ ~CWindowEventHandler()

virtual NXWidgets::CWindowEventHandler::~CWindowEventHandler | ( |  | ) |
| inlinevirtual

Destructor.

Definition at line 77 of file cwindoweventhandler.hxx.

## Member Function Documentation

## ◆ handleBlockedEvent()

virtual void NXWidgets::CWindowEventHandler::handleBlockedEvent | ( | FAR void * | arg | ) |
| inlinevirtual

Handle a NX window blocked event

Parameters

  arg | - User provided argument (see nx_block or nxtk_block)

Reimplemented in NxWM::CWindowMessenger.

Definition at line 115 of file cwindoweventhandler.hxx.

## ◆ handleGeometryEvent()

virtual void NXWidgets::CWindowEventHandler::handleGeometryEvent | ( | void |  | ) |
| inlinevirtual

Handle a NX window position/size change event

Definition at line 89 of file cwindoweventhandler.hxx.

## ◆ handleKeyboardEvent()

virtual void NXWidgets::CWindowEventHandler::handleKeyboardEvent | ( | void |  | ) |
| inlinevirtual

Handle a NX window keyboard input event.

Reimplemented in NxWM::CWindowMessenger.

Definition at line 106 of file cwindoweventhandler.hxx.

## ◆ handleMouseEvent()

virtual void NXWidgets::CWindowEventHandler::handleMouseEvent | ( | void |  | ) |
| inlinevirtual

Handle an NX window mouse input event.

Parameters

  e | The event data.

Reimplemented in NxWM::CWindowMessenger.

Definition at line 98 of file cwindoweventhandler.hxx.

## ◆ handleRedrawEvent()

virtual void NXWidgets::CWindowEventHandler::handleRedrawEvent | ( | void |  | ) |
| inlinevirtual

Handle a NX window redraw request event

Definition at line 83 of file cwindoweventhandler.hxx.

The documentation for this class was generated from the following file:

- cwindoweventhandler.hxx